# $Revision: 1.22 $, $Date: 2003/05/25 11:00:51 $

# Conditional build:
# _without_imlib	- we can safetly play without it :-)
# 

Summary:	Realtime audio/video encoder and streaming server
Summary(pl):	Koder audio/wideo czasu rzeczywistego oraz serwer strumieni
Name:		ffmpeg
Version:	0.4.6
Release:	1
License:	LGPL/GPL
Group:		Daemons
Source0:	http://dl.sourceforge.net/ffmpeg/%{name}-%{version}.tar.gz
# Source0-md5: bdd96d28327d3abe02e886c13e633878
Patch0:		%{name}-opt.patch
Patch1:		%{name}-imlib2.patch
Patch2:		%{name}-libtool.patch
URL:		http://ffmpeg.sourceforge.net/
%{!?_without_imlib:BuildRequires:	imlib2-devel}
BuildRequires:	libtool >= 2:1.4d-3
%ifarch i586 i686 athlon
BuildRequires:	nasm
%endif
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ffmpeg is a hyper fast realtime audio/video encoder and streaming
server. It can grab from a standard Video4Linux video source and
convert it into several file formats based on DCT/motion compensation
encoding. Sound is compressed in MPEG audio layer 2 or using an AC3
compatible stream.

This package contains also ffmpeg shared libraries (libavcodec and
libavformat).

%description -l pl
ffmpeg jest bardzo szybkim koderem audio/wideo w czasie rzeczywistym
oraz serwerem strumieni multimedialnych. ffmpeg potrafi zrzuca dane
ze standardowego urzdzenia Video4Linux i przekonwertowa je w kilka
formatw plikw bazujcych na kodowaniu DCT/kompensacji ruchu. Dwik
jest kompresowany do strumienia MPEG audio layer 2 lub uywajc
strumienia kompatybilnego z AC3.

Ten pakiet zawiera take biblioteki wspdzielone ffmpeg (libavcodec i
libavformat).

%package vhook-imlib2
Summary:	imlib2 based hook
Summary(pl):	Modu przejciowy oparty o imlib2
Group:		Libraries
Requires:	%{name} = %{version}

%description vhook-imlib2
This module implements a text overlay for a video image. Currently it
supports a fixed overlay or reading the text from a file. The string
is passed through strftime so that it is easy to imprint the date and
time onto the image.

%description vhook-imlib2 -l pl
Ten modu implementuje tekstow nakadk dla obrazu. Aktualnie
obsuguje sta nakadk lub wczytywanie tekstu z pliku. acuch jest
przepuszczany przez strftime, wic atwo umieci dat i czas na
obrazie.

%package devel
Summary:	ffmpeg header files
Summary(pl):	Pliki nagwkowe ffmpeg
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
ffmpeg header files.

%description devel -l pl
Pliki nagwkowe ffmpeg.

%package static
Summary:	ffmpeg static libraries
Summary(pl):	Statyczne biblioteki ffmpeg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
ffmpeg static libraries (libavcodec and libavformat).

%description static -l pl
Statyczne biblioteki ffmpeg (libavcodec i libavformat).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# note: it's not autoconf configure
./configure \
	--prefix=%{_prefix} \
	--enable-shared \
	--enable-a52bin \
%ifnarch i586 i686 athlon
	--disable-mmx
%endif

# note: -fomit-frame-pointer is always needed on x86 due to lack of registers
#       (-fPIC takes one)
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags} -fomit-frame-pointer -I/usr/X11R6/include" \
	LDOPT="%{rpmldflags} -L/usr/X11R6/lib"

%{__make} -C doc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_sbindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/ffserver
install doc/*.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changelog README doc/*.html
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/libavcodec-*.so
%attr(755,root,root) %{_libdir}/libavformat-*.so
%dir %{_libdir}/vhook
%attr(755,root,root) %{_libdir}/vhook/null.so
%attr(755,root,root) %{_libdir}/vhook/fish.so
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*.conf

%if %{!?_without_imlib:1}0
%files vhook-imlib2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/vhook/imlib2.so
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavcodec.so
%attr(755,root,root) %{_libdir}/libavformat.so
%{_libdir}/lib*.la
%{_includedir}/ffmpeg

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ffmpeg.spec,v $
Revision 1.22  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.21  2003/05/25 05:47:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/05/13 09:12:58  qboosh
- libtool patch requires libtool >= 1.4d

Revision 1.19  2003/04/08 10:33:14  qboosh
- use http for sources from sourceforge

Revision 1.18  2003/03/02 17:03:02  adgor
- Fixed without_imlib bcond

Revision 1.17  2003/03/02 16:04:22  qboosh
- fixed --tag in libtool patch (CC not CXX) to avoid bogus linking with -lstdc++
- pass CC to make (fixes install)

Revision 1.16  2003/01/12 19:22:25  aflinta
- added _without_imlib bcond

Revision 1.15  2003/01/05 03:30:59  qboosh
- 0.4.6, updated opt patch
- added imlib2 patch to fix imlib2 detection
- added libtool patch - use libtool to build shared libraries correctly
- standard split + vhook-imlib2 subpackage (because of imlib2 dependency)
- changed config file perms - ffserver shouldn't be run as root

Revision 1.14  2002/10/28 07:19:51  kloczek
- release 3: use new %doc.

Revision 1.13  2002/04/25 16:17:50  arturs
fixed a small typo

Revision 1.12  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/26 13:14:28  filon
- athlon updates
- release 2

Revision 1.10  2002/01/18 02:12:55  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/09/08 13:45:39  qboosh
- ugh? disable-mmx on archs _other_ than i[56]86, not on i[56]86

Revision 1.8  2001/09/05 16:40:03  filon
- updated to 0.4.5
- updated opt patch, added configure (don't change to %%configure - it's not compatibile)

Revision 1.7  2001/08/12 10:24:43  qboosh
- opt patch
- require nasm on 586/686 only (MMX functions - chosen at runtime)

Revision 1.6  2001/07/26 10:53:26  newrom
- Added nasm to BuildRequires

Revision 1.5  2001/07/25 17:21:31  newrom
- Updated to 0.4.4
- Changed Source0: and URL: location
- Removed %{rpmcflags} macro (doesn't compile with)

Revision 1.4  2001/04/30 16:05:17  kloczek
- added using %%{rpmcflags} macro.

Revision 1.3  2001/03/29 09:23:40  mis
- autoupdated to 0.3.4

Revision 1.2  2001/02/18 22:51:59  kloczek
- spec adapterized.

Revision 1.1  2001/02/17 16:49:12  misiek
New. Audio/Video encoder and streaming server
